#include "acquisition_info.h"

ACQUISITION_INFO::ACQUISITION_INFO()
{
    Clear();
}

void ACQUISITION_INFO::Clear()
{
    m_Patient.Init();
    m_Study.Init();
    m_Series.Init();
    m_Image.Init();

    m_strImageFilename = "";
    m_strVideoFilename = "";

    m_nIndexPatient = 0;
    m_nIndexStudy = 0;
    m_nIndexSeries_Image = 0;
    m_nIndexSeries_Video = 0;

    m_nSeriesNumber = 0;

    m_nAcquisitionImageMax = 0;
    m_nAcquisitionVideoMax = 0;
}

SDATA_PATIENT* ACQUISITION_INFO::GetPatientInfo()
{
    return &m_Patient;
}

SDATA_STUDY* ACQUISITION_INFO::GetStudyInfo()
{
    return &m_Study;
}

SDATA_SERIES* ACQUISITION_INFO::GetSeriesInfo()
{
    return &m_Series;
}

SDATA_IMAGE* ACQUISITION_INFO::GetImageInfo()
{
    return &m_Image;
}

SDATA_SCHEDULED_DATA* ACQUISITION_INFO::GetScheduledDataInfo()
{
    return &m_ScheduledData;
}

void ACQUISITION_INFO::SetDataPatient(SDATA_PATIENT data)
{
    m_Patient = data;
}

void ACQUISITION_INFO::SetDataStudy(SDATA_STUDY data)
{
    m_Study = data;
}

void ACQUISITION_INFO::SetDataSeries(SDATA_SERIES data)
{
    m_Series = data;
}

void ACQUISITION_INFO::SetDataImage(SDATA_IMAGE data)
{
    m_Image = data;
}

void ACQUISITION_INFO::SetDataScheduledData(SDATA_SCHEDULED_DATA data)
{
    m_ScheduledData = data;
}
